area.hpp File Reference
`#include <cassert>`
`#include <cstdlib>`
`#include <utility>`
`#include <osmium/memory/collection.hpp>`
`#include <osmium/memory/item.hpp>`
`#include <osmium/osm/item_type.hpp>`
`#include <osmium/osm/object.hpp>`
`#include <osmium/osm/types.hpp>`
`#include <osmium/osm/node_ref_list.hpp>`
Include dependency graph for area.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::builder::ObjectBuilder< TItem >
class | osmium::OuterRing
class | osmium::InnerRing
class | osmium::Area

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::builder
| Classes for building OSM objects and other items in buffers.

## Functions

osmium::object_id_type | osmium::object_id_to_area_id (osmium::object_id_type id, osmium::item_type type) noexcept
osmium::object_id_type | osmium::area_id_to_object_id (osmium::object_id_type id) noexcept